Subject: Re: [PATCH 0/9] Packaging sbcl-iolib (and dbus)

From: Pierre Neidhardt <[email-masked]>
Date: Wed, 26 Jun 2019 10:30:21 +0200

Hi Katherine,

No need for apologized, you were much faster than me to actually get
down to it!

So your suggestion worked, I created separate packages for all
subsystems this way:

--8<---------------cut here---------------start------------->8---
(define sbcl-iolib+sockets
  (package
    (inherit sbcl-iolib)
    (name "sbcl-iolib+sockets")
    (arguments
     (substitute-keyword-arguments (package-arguments sbcl-iolib)
       ((#:asd-system-name _) "iolib/sockets")))))
--8<---------------cut here---------------end--------------->8---

I guess that'll do.

Now I'm stuck with cxml, another dependency for the dbus CL library.

Its .asd is weird, it ends with something like this:

--8<---------------cut here---------------start------------->8---
(asdf:defsystem :cxml-klacks
		:default-component-class closure-source-file
		:pathname #+asdf2 "klacks/"
							#-asdf2 (merge-pathnames
					 "klacks/"
					 (make-pathname :name nil :type nil :defaults *load-truename*))
		:serial t
		:components
		((:file "package")
		 (:file "klacks")
		 (:file "klacks-impl")
		 (:file "tap-source"))
		:depends-on (:cxml-xml))

(asdf:defsystem :cxml
		:components ()
		:depends-on (:cxml-dom :cxml-klacks #-allegro :cxml-test))
--8<---------------cut here---------------end--------------->8---

- The "cxml-klacks" subsystem should be named "cxml/klacks", and the
  compiler prints warnings about this.
- The "cxml" system contains nothing.

As a result, no cxml--system.fasl gets compiled, which leads to a
useless Guix-generated .asd.

Any idea?

-- 
Pierre Neidhardt
https://ambrevar.xyz/